    
const float Samples = 4.;
const float Strength = 0.085; // 2.5%
    
void mainImage( out vec4 fragColor, in vec2 fragCoord )
{
    vec2 uv = fragCoord/iResolution.xy-.5;
    vec3 col = vec3(0);
    
    vec3 f = 1. - length(uv) * Strength*vec3(2.,1.,0.);
    
    for (float i = 0.; i < Samples; i++)
    {
        vec3 fs = mix(f, vec3(1), i/Samples);
        col += vec3(
            texture(iChannel0, uv * fs.x+.5).r,
            texture(iChannel0, uv * fs.y+.5).g,
            texture(iChannel0, uv * fs.z+.5).b
        );
    }
    col /= Samples;

    fragColor = vec4(col,1.0);
}